<template>
  <div>
    <div class="fr-follow">
      <div class="fr-container">
        <div class="fr-grid-row">
          <div class="fr-col-12 fr-col-md-8">
            <div class="fr-follow__newsletter">
              <h5 class="fr-h5">Abonnez-vous à notre lettre d’information</h5>
              <a
                id="newsletter-button"
                class="fr-btn"
                title="S‘abonner à notre lettre d’information"
                href="https://dcd8b7ae.sibforms.com/serve/MUIEAJnjXydVezfzPHqfJ8JOMwjs67G7o-ulGxavMpBwIGiuoYFOb8l3XPFn8A_AH9459QJ2wCp-4KeQLV27HjotuhnIOE1ch7btOBre4TUYvtze63ANXyugs6IzDb6GpbbvqfBKooF10mbxmzy_YX7PZgOEN1W3BlYBUzCslQGtIiRG4c1QvDCqmv4sfw1FEWxpIhfBVfDNbfIa"
                rel="noopener"
                target="_blank"
              >
                S'abonner
              </a>
            </div>
          </div>
          <div class="fr-col-12 fr-col-md-4">
            <div class="fr-follow__social">
              <h5 class="fr-h5">
                Suivez-nous <br />
                sur les réseaux sociaux
              </h5>
              <ul class="anct-flex-center anct-no-list-decoration">
                <li>
                  <a
                    class="fr-link fr-link--twitter"
                    title="Consulter le Twitter de l'Incubateur des Territoires"
                    href="https://twitter.com/IncubateurT"
                    rel="noopener"
                    target="_blank"
                    @click="trackOutLink('https://twitter.com/IncubateurT')"
                  >
                  </a>
                </li>
                <li>
                  <a
                    class="fr-link fr-link--linkedin"
                    title="Consulter le Linkedin de l'Incubateur des Territoires"
                    href="https://www.linkedin.com/showcase/anct-incubateur-des-territoires/"
                    rel="noopener"
                    target="_blank"
                    @click="
                      trackOutLink(
                        'https://www.linkedin.com/showcase/anct-incubateur-des-territoires/',
                      )
                    "
                  >
                  </a>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>

    <footer id="fr-footer-1" class="fr-footer" role="contentinfo">
      <div class="fr-container">
        <div class="fr-footer__body">
          <div class="fr-footer__brand fr-enlarge-link">
            <a
              class="anct-flex-center"
              href="https://agence-cohesion-territoires.gouv.fr/"
              title="Agence Nationale de la Cohésion des Territoires"
              @click="
                trackOutLink('https://agence-cohesion-territoires.gouv.fr/')
              "
            >
              <p class="fr-logo fr-mr-1w" title="république française">
                république
                <br />française
              </p>

              <img
                class="fr-footer__logo"
                src="~/assets/images/logo_anct.svg"
                alt="Agence Nationale de la Cohésion des Territoires"
                style="max-width: 15em"
              />
            </a>
          </div>
          <div class="fr-footer__content">
            <p class="fr-footer__content-desc">
              L'Incubateur des Territoires est une mission de l'<a
                href="https://anct.gouv.fr"
                class="fr-text-title--blue-france"
                title="Visiter le site de l'ANCT"
                @click="trackOutLink('https://anct.gouv.fr')"
                >Agence Nationale de la Cohésion des Territoires</a
              >. Le code source de ce site web est disponible en licence libre.
              Le design de ce site est conçu avec le
              <a
                href="https://gouvfr.atlassian.net/wiki/spaces/DB/overview?homepageId=145359476"
                title="Consulter la documentation du Système de Design de l'État"
                target="_blank"
                rel="noopener"
                class="fr-text-title--blue-france"
                @click="
                  trackOutLink(
                    'https://gouvfr.atlassian.net/wiki/spaces/DB/overview?homepageId=145359476',
                  )
                "
              >
                système de design de l’État
              </a>
              .
            </p>
            <ul class="fr-footer__content-list">
              <li class="fr-footer__content-item">
                <a
                  class="fr-footer__content-link"
                  href="https://legifrance.gouv.fr"
                  rel="noopener"
                  target="_blank"
                  click="trackOutLink('https://legifrance.gouv.fr')"
                  >legifrance.gouv.fr</a
                >
              </li>
              <li class="fr-footer__content-item">
                <a
                  class="fr-footer__content-link"
                  href="https://gouvernement.fr"
                  rel="noopener"
                  target="_blank"
                  @click="trackOutLink('https://gouvernement.fr')"
                  >gouvernement.fr</a
                >
              </li>
              <li class="fr-footer__content-item">
                <a
                  class="fr-footer__content-link"
                  href="https://service-public.fr"
                  rel="noopener"
                  target="_blank"
                  @click="trackOutLink('https://service-public.fr')"
                  >service-public.fr</a
                >
              </li>
              <li class="fr-footer__content-item">
                <a
                  class="fr-footer__content-link"
                  href="https://data.gouv.fr"
                  rel="noopener"
                  target="_blank"
                  @click="trackOutLink('https://data.gouv.fr')"
                  >data.gouv.fr</a
                >
              </li>
            </ul>
          </div>
        </div>
        <div class="fr-footer__bottom">
          <ul class="fr-footer__bottom-list">
            <li class="fr-footer__bottom-item">
              <nuxt-link
                class="fr-footer__bottom-link"
                :to="{ name: 'plan-du-site' }"
                >Plan du site</nuxt-link
              >
            </li>
            <li class="fr-footer__bottom-item">
              <span class="fr-footer__bottom-link"
                >Accessibilité: non conforme</span
              >
            </li>
            <li class="fr-footer__bottom-item">
              <nuxt-link
                class="fr-footer__bottom-link"
                :to="{ name: 'mentions-legales' }"
                >Mentions légales</nuxt-link
              >
            </li>
            <li class="fr-footer__bottom-item">
              <nuxt-link
                class="fr-footer__bottom-link"
                :to="{ name: 'donnees-personnelles' }"
                >Données personnelles</nuxt-link
              >
            </li>
          </ul>

          <div class="fr-footer__bottom-copy">
            <p>
              Sauf mention contraire, tous les textes de ce site sont sous
              <a
                href="https://github.com/etalab/licence-ouverte/blob/master/LO.md"
                target="_blank"
                title="Consulter le texte de la licence etalab-2.0 sur Github"
                rel="noopener"
                @click="
                  trackOutLink(
                    'https://github.com/etalab/licence-ouverte/blob/master/LO.md',
                  )
                "
                >licence etalab-2.0</a
              >
            </p>
          </div>
        </div>
      </div>
    </footer>
  </div>
</template>

<script>
import { trackOutLink } from '~/tools/matomo';

export default {
  name: 'FrFooter',

  methods: {
    trackOutLink,
  },
};
</script>
